Get User Signature
curl --request GET \
--url https://api.lemlist.com/api/users/{userId}/signature \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/users/{userId}/signature"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/users/{userId}/signature', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/users/{userId}/signature")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/users/{userId}/signature",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"userId": "usr_Tq8Wm3Zk6RbP2NxYv",
"signature": "<p>Best regards,<br>John Doe<br>Acme Inc</p>",
"plainTextSignature": "Best regards,\nJohn Doe\nAcme Inc"
}
}{
"error": "Wrong param user id",
"code": "WRONG_PARAM_USER_ID"
}{
"error": "This user is not a member of your team",
"code": "SIGNATURE_USER_NOT_IN_TEAM"
}{
"error": "Internal error",
"code": "INTERNAL_ERROR"
}Users
Get User Signature
Retrieves the HTML and plain-text email signatures of a team member.
GET
/
users
/
{userId}
/
signature
Get User Signature
curl --request GET \
--url https://api.lemlist.com/api/users/{userId}/signature \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/users/{userId}/signature"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/users/{userId}/signature', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/users/{userId}/signature")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/users/{userId}/signature",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"userId": "usr_Tq8Wm3Zk6RbP2NxYv",
"signature": "<p>Best regards,<br>John Doe<br>Acme Inc</p>",
"plainTextSignature": "Best regards,\nJohn Doe\nAcme Inc"
}
}{
"error": "Wrong param user id",
"code": "WRONG_PARAM_USER_ID"
}{
"error": "This user is not a member of your team",
"code": "SIGNATURE_USER_NOT_IN_TEAM"
}{
"error": "Internal error",
"code": "INTERNAL_ERROR"
}Any member of your team can be read, including yourself: the only rule is that the user belongs to the team the API key belongs to.
Authorizations
Path Parameters
Was this page helpful?